Ciele
Conocimiento

Org-wide knowledge items (?kinds=&status=&assistantId=&q=&page=&pageSize=)

GET/api/v1/knowledge/sources

Necesitas una clave API de organización con la capacidad de miembro.

AuthorizationBearer <token>

In: header

Query Parameters

kinds?string

Tipos de Source separados por comas; por defecto, todos los tipos.

status?string

Filtra por el estado de la fuente.

assistantId?string

Filtra por Asistente vinculado.

q?string

Busca en la Biblioteca de Conocimientos.

page?integer

Número de página.

pageSize?integer

Elementos por página.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/knowledge/sources"
{  "items": [    {      "id": "string",      "collectionId": "string",      "name": "string",      "kind": "file",      "status": "error",      "conceptCount": 0,      "answerPreview": "string",      "linkedAssistants": [        {          "assistantId": "string",          "assistantName": "string",          "directAccess": true        }      ],      "lastCrawledAt": null,      "createdAt": "string",      "updatedAt": "string"    }  ],  "total": 0,  "statusCounts": {    "processing": 0,    "ready": 0,    "error": 0  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}